Package de.gebit.integrity.remoting.entities.setlist

## Enum SetListEntryResultStates

- java.lang.Object
- - java.lang.Enum<SetListEntryResultStates>
  - - de.gebit.integrity.remoting.entities.setlist.SetListEntryResultStates

- All Implemented Interfaces:
    `Serializable`, `Comparable<SetListEntryResultStates>`

      public enum SetListEntryResultStates
      extends Enum<SetListEntryResultStates>

  Result states for set list entries.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXCEPTION` | An exception has occurred.
    `FAILED` | The test has failed.
    `SUCCESSFUL` | The test/call has been finished successfully.
    `UNKNOWN` | The test/call has not yet been executed and is thus undetermined.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isUnsuccessful()` | Returns true if the result state is considered "unsuccessful".
    `static SetListEntryResultStates` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SetListEntryResultStates[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final SetListEntryResultStates UNKNOWN

      The test/call has not yet been executed and is thus undetermined.

    - #### SUCCESSFUL

          public static final SetListEntryResultStates SUCCESSFUL

      The test/call has been finished successfully.

    - #### FAILED

          public static final SetListEntryResultStates FAILED

      The test has failed.

    - #### EXCEPTION

          public static final SetListEntryResultStates EXCEPTION

      An exception has occurred.

  - ### Method Detail

    - #### values

          public static SetListEntryResultStates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SetListEntryResultStates c : SetListEntryResultStates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SetListEntryResultStates valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isUnsuccessful

          public boolean isUnsuccessful()

      Returns true if the result state is considered "unsuccessful".
      Returns: